// This file is auto-generated by @hey-api/openapi-ts

/**
 * Burgerservicenummer of a Dutch citizen
 */
export type bsn = string;

/**
 * The error that occured while processing this request.
 */
export type Error = {
    message: string;
};

/**
 * Filter to create.
 */
export type FilterCreate = {
    /**
     * Name of the organization
     */
    name: string;
    /**
     * URL of the inzicht API
     */
    url: string;
    filter: string;
};

/**
 * Burgerservicenummer of a Dutch citizen
 */
export type ParameterpathBSN = bsn;

/**
 * Object that contains all urls where logboek dataverwerking URLs maybe
 */
export type URLs = {
    urls: Array<(string)>;
};

export type CreateFilterData = {
    /**
     * A filter create request.
     */
    body: {
        data: FilterCreate;
    };
};

export type CreateFilterResponse = (string);

export type CreateFilterError = ({
    errors: Array<Error>;
} | {
    errors?: Array<Error>;
});

export type ReadLogboekDataVerwerkingUrlsByBsnData = {
    path: {
        /**
         * Burgerservicenummer of a Dutch citizen
         */
        bsn: bsn;
    };
};

export type ReadLogboekDataVerwerkingUrlsByBsnResponse = (URLs);

export type ReadLogboekDataVerwerkingUrlsByBsnError = ({
    errors: Array<Error>;
} | {
    errors?: Array<Error>;
});